/*
 * Evento.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */

import java.util.ArrayList;

/**
 *  Esta classe contém a estrutura de implementação de um Evento em um exemplo de associação Evento-tem-Data
 *  Relaciona-se com a classe Data
 */
public class Evento
{
	private String nome;				// propriedade nome
	private ArrayList<Data> dia;		// propriedade dia - contém a lista de dias do evento
	
	public Evento(String n, Data umDia) {
    	nome = n;
		dia = new ArrayList<Data>(); 
    	dia.add(umDia);
    } 
	
	public String getNome() {
		return nome;
	}
	
	public void marcaDiaAdicional(Data d) {
		dia.add(d);  
	}
	
	/*   @Override   */
	public String toString() {
		String out = ""; 
		out += "Evento # "+ getNome() + " ocorrerá nos dias:\n"; 
	    for(int i=0; i<dia.size(); i++) {
			Data umDia = dia.get(i);
			out += "  * " + umDia + "\n";
		}
		return out; 
	}
}
