/*
 * Pedido.java
 * 
 * Última modificação: 20/08/2016 
 * 
 * Material utilizado na disciplina MC322 - Programação Orientada a Objetos
 */

import java.util.ArrayList;

/**
 *  Esta classe contém a estrutura de implementação de um Pedido em uma associação Pedido-tem-Item e Pedido-tem-Data
 *  Usa as classe Item.java e Data.java
 */
public class Pedido
{
	private int numero;				// propriedade número do pedido
	private int vendedor;			// propriedade código do vendedor
	private Data dia;				// propriedade data do pedido
	private ArrayList<Item> lista;	// propriedade itens do pedido
	
	public Pedido(int n,int v,Data d) {
    	numero = n;
    	vendedor = v;
    	dia = d;
    	lista = new ArrayList<Item>(); 
    }
	
	public int getNumero() {
		return numero;
	}
	
	public int getVendedor() {
		return vendedor;
	}
	
	public Data getData() {
		return dia;
	}
	
	public void adicionaItem(Item i) {
    	lista.add(i);  
    }
	
	public float calculaTotal() {
    	float total = 0f;
		Item umItem; 
		
    	for(int i=0; i<lista.size(); i++) {
			umItem = lista.get(i);
		  	total = total + umItem.custoTotal();
      	}
    	return total;  
	}
	
	/*   @Override   */
	public String toString() {
		String out = ""; 
		Item umItem;
		
		out += "Pedido # "+ getNumero(); 
		out += " do vendedor " + getVendedor() + " " + dia; 
		out += "\nItens:\n";
	    for(int i=0; i<lista.size(); i++) {
			umItem = lista.get(i);
			out += "  * " + umItem + "\n";
		}
	    out += "Total do pedido: "+ calculaTotal();
		return out; 
    }
}